> For the complete documentation index, see [llms.txt](https://docs.usemoon.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usemoon.ai/sdks/java/conveyorfinanceapi.md).

# ConveyorFinanceApi

## ConveyorFinanceApi

All URIs are relative to *<https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app>*

| Method            | HTTP request                          | Description |
| ----------------- | ------------------------------------- | ----------- |
| [**swap**](#swap) | **POST** /conveyorfinance/{name}/swap |             |

## **swap**

> ConveyorFinanceControllerResponse swap(authorization, name, tokenSwapParams)

#### Example

```java
// Import classes:
import org.usemoonai.moonsdk.client.ApiClient;
import org.usemoonai.moonsdk.client.ApiException;
import org.usemoonai.moonsdk.client.Configuration;
import org.usemoonai.moonsdk.client.auth.*;
import org.usemoonai.moonsdk.client.models.*;
import org.usemoonai.moonsdk.api.ConveyorFinanceApi;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = Configuration.getDefaultApiClient();
    defaultClient.setBasePath("https://moon-vault-api-git-ew-supabase-migration-moonup.vercel.app");
    
    // Configure API key authorization: ApiKeyAuth
    ApiKeyAuth ApiKeyAuth = (ApiKeyAuth) defaultClient.getAuthentication("ApiKeyAuth");
    ApiKeyAuth.setApiKey("YOUR API KEY");
    // Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
    //ApiKeyAuth.setApiKeyPrefix("Token");

    // Configure API key authorization: BearerAuth
    ApiKeyAuth BearerAuth = (ApiKeyAuth) defaultClient.getAuthentication("BearerAuth");
    BearerAuth.setApiKey("YOUR API KEY");
    // Uncomment the following line to set a prefix for the API key, e.g. "Token" (defaults to null)
    //BearerAuth.setApiKeyPrefix("Token");

    ConveyorFinanceApi apiInstance = new ConveyorFinanceApi(defaultClient);
    String authorization = "authorization_example"; // String | 
    String name = "name_example"; // String | 
    TokenSwapParams tokenSwapParams = new TokenSwapParams(); // TokenSwapParams | 
    try {
      ConveyorFinanceControllerResponse result = apiInstance.swap(authorization, name, tokenSwapParams);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ConveyorFinanceApi#swap");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Parameters

| Name                | Type                                                 | Description | Notes |
| ------------------- | ---------------------------------------------------- | ----------- | ----- |
| **authorization**   | **String**                                           |             |       |
| **name**            | **String**                                           |             |       |
| **tokenSwapParams** | [**TokenSwapParams**](/sdks/java/tokenswapparams.md) |             |       |

#### Return type

[**ConveyorFinanceControllerResponse**](/sdks/java/conveyorfinancecontrollerresponse.md)

#### Authorization

[ApiKeyAuth](/sdks/java.md#ApiKeyAuth), [BearerAuth](/sdks/java.md#BearerAuth)

#### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

#### HTTP response details

| Status code | Description | Response headers |
| ----------- | ----------- | ---------------- |
| **200**     | Ok          | -                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.usemoon.ai/sdks/java/conveyorfinanceapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
